Issue 10160

Summary: Find & Replace: Add MS style pattern matching
Product: Writer Reporter: jameslee <lista>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: ace_dent, eet.mi.shorts, issues, mistercomputerguy
Version: OOo 1.0.1Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description jameslee 2002-12-17 12:24:35 UTC
This one is not for me. I have a Unix background and love regexps. (Just hurry
up and implement them and make sure they are not half baked like StarOffice
5.2's.)

I have noticed on the newsgroups many people not being able to use the regexps
to do simple pattern matching, in particyular the beginning/end of line for a
paragraph marker. I have never use an M$ product but understand the patten
matching is more like file name globbing.

If this is what the customers are used to and want can you add such an option?

But what ever don't replace/corrupt the regexps patten matching, add another
check box option next to the regexps - and hurry up with the regexps and make
then "proper"!
Comment 1 h.ilter 2002-12-17 12:29:47 UTC
Reassigned to BH
Comment 2 eric.savary 2003-04-16 15:33:39 UTC
Set to "NEW"
Comment 3 lohmaier 2005-11-08 22:02:52 UTC
*** Issue 57419 has been marked as a duplicate of this issue. ***
Comment 4 micawber 2007-03-07 06:08:10 UTC
I simply cannot believe that one STILL cannot do an easy find/replace on things
like paragraphs marks. In MSWord it's ^p for an end-of-paragraph or for two in a
row: ^p^p.

Have you seen the numerous angry threads on this topic in the open office forum?
This is a deal breaker for many people. It should be given higher status. The
find and replace in Writer is ridiculously difficult and attentuated.
Comment 6 ace_dent 2007-04-18 19:45:14 UTC
I've tweaked this issue, as it would be good to move this forward.
Of course OOo does paragraph search with '$', but this doesn't currently meet
user expectation as is evident from number of Issues...

Cheers,
Andrew.
Comment 7 ace_dent 2007-04-18 19:51:34 UTC
*** Issue 19492 has been marked as a duplicate of this issue. ***
Comment 8 magnuslundborg 2007-04-20 20:18:43 UTC
Since Issue 19492 has been marked as a duplicate of this issue and Issue 20226
has been closed due to lack of activity I'll continue them both here even if the
problem is not necessarily the same.

In this thread there are complaints about regexps and I must say they're not
really working in Writer. Try writing a document with first a few soft line
breaks (<shift>-<return>) and then a few hard line breaks (<return>). Then try
to replace the soft line breaks with hard ones. Using regexps you can search for
\n and replace with \n. That replaces all soft line breaks with hard ones and a
warning bell should ring here since you shouldn't actually make any difference
since you're replacing with the same thing. Now, let's continue with replacing
the hard line breaks with soft ones. If you search for \n (which you just
replaced the soft line breaks with) you won't find any matches. So how do you
find the hard line breaks - I'm sure that should be easy. But the next question
is how do you replace them with soft line breaks. So that covers my problem with
the current regexps.

The workaround would be the possibility to copy nonprinting characters from a
document (if you've turned them on from the View menu) and paste them into the
search and replace tool. I'm quite sure you can do that in MS Word (and that's
more or less the only thing I'm missing). If that feature would be implemented
this whole problem would be solved as far as I can see. Why can't nonprinting
characters be selected, copied and pasted in Writer?

I'm sorry if I sound a bit upset. It's mostly because issues being closed for no
reason (I don't think they should be closed until they're solved) and marked as
duplicates even if they're more or less reporting different problems with the
same features. I really do enjoy the whole OpenOffice suite and currently I
wouldn't dream of using any other office programs, but there are a few features
that would need some improvements and I'm afraid I don't have the time to do it
myself.
Comment 9 Martin Hollmichel 2007-09-10 13:15:29 UTC
move target to 3.x according http://wiki.services.openoffice.org/wiki/Target_3x
Comment 10 wingfire 2009-11-26 13:41:53 UTC
still interested in this feature.
the MS solution is a little bit ugly but would be nice to habe any solution.
Comment 11 bettina.haberer 2010-05-21 14:44:21 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 12 mistercomputerguy 2013-03-11 05:56:03 UTC
I agree.  I use [sorry] Word for data manipulation.  It can search and replace any chars or white space chars in a row. If I want to add "Fred says, "" to every first line in a paragraph, then I just replace ^p with ^pFred says,"

It is really a deal maker or breaker for me.  I use this feature for all of my DB, Mail Merge, and Text file manipulations. 

Thanks BIG for listening.
Comment 13 micawber 2013-03-11 23:05:18 UTC
Because this is an abandoned enhancement, I now copy-paste the text into an advanced text editor like UltraEdit or Editpad Pro to do the sort of search-replace functions that MS Word can do. Sad.

And even if I want to use regex expressions, the regex engine in OO is so poor that I use EditPad Pro instead (which has a superb regex engine that actually works!)